#!/usr/bin/ruby
# -*- coding: UTF-8 -*-

module Lazop
    class LazopResponse

        def initialize(type,code,message,r_id,body)
            @type = type 
            @code = code
            @message = message
            @body = body
            @request_id = r_id
        end

        def type
            # response type nil,ISP,ISV,SYSTEM
            # nil ：no error
            # ISP : API Service Provider Error
            # ISV : API Request Client Error
            # SYSTEM : Lazop platform Error
            @type
        end

        def code
            # response code, 0 is no error
            @code
        end

        def message
            @message
        end

        def body
            # http response body, contains all fileds 
            @body
        end

        def request_id
            # api uniqe request id
            @request_id
        end

        def success?
            @code == '0'
        end
    end
end